MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SqliteError Class Referencefinal

`#include <Error.hxx>`

Inheritance diagram for SqliteError:
[legend]
Collaboration diagram for SqliteError:
[legend]

## Public Member Functions
| SqliteError (sqlite3 *db, int _code, const char *msg)
| SqliteError (sqlite3_stmt *stmt, int _code, const char *msg)
int | GetCode () const

## Detailed Description

Definition at line 28 of file Error.hxx.

## Constructor & Destructor Documentation

SqliteError::SqliteError | ( | sqlite3 * | db,
|  | int | _code,
|  | const char * | msg
| ) |  |

SqliteError::SqliteError | ( | sqlite3_stmt * | stmt,
|  | int | _code,
|  | const char * | msg
| ) |  |

## Member Function Documentation

int SqliteError::GetCode | ( |  | ) | const
| inline

Definition at line 35 of file Error.hxx.

The documentation for this class was generated from the following file:

- lib/sqlite/Error.hxx